package com.tnkfactory.adplus;

import android.content.Context;
import android.util.Log;

import com.tnkfactory.ad.TnkLayout;
import com.tnkfactory.ad.TnkStyle;

/**
 * AdPlus 광고용 프로젝트 라이브러리이다. 
 * 본 프로젝트를 적용하고 AndroidMenifest.xml 파일에 <meta-data android:name="tnkad_adplus" android:value="true" /> 를 설정하면 디자인이 변경된다.
 * 
 * @author kimhd
 *
 */
public class AdPlus {

	// 2016.06.24 v1.00 (적용 SDK v6.25)
	// - 최초버전임
	// v1.01
	// - SDK v6.26 적용
	
	public static TnkLayout getAdPlusLayout(Context context) {
		
		setTnkStyle();
		
		TnkLayout tnkLayout = new TnkLayout();
		
		tnkLayout.adwall.numColumnsPortrait = 2;
		tnkLayout.adwall.numColumnsLandscape = 2;
		tnkLayout.adwall.numColumnsPortraitTablet = 3;
		tnkLayout.adwall.numColumnsLandscapeTablet = 3;
		 
		tnkLayout.adwall.layout = R.layout.offerwall_list;
		tnkLayout.adwall.idEmptySign = R.id.offerwall_list_empty_layout;
		tnkLayout.adwall.header.layout = R.layout.empty_header_layout;
		tnkLayout.adwall.idTitle = R.id.ad_list_title;
		tnkLayout.adwall.idList = R.id.ad_list;
		tnkLayout.adwall.idClose = R.id.close_button;
		tnkLayout.adwall.iconType = 2;	// ad+
		tnkLayout.adwall.footer.layout = R.layout.offerwall_footer;
		tnkLayout.adwall.footer.paddingLeft = 0;
		tnkLayout.adwall.footer.paddingRight = 0;
		//tnkLayout.adwall.footer.paddingTop = 0;
		tnkLayout.adwall.footer.paddingBottom = 0;
		tnkLayout.adwall.footer.idHelpdesk = R.id.help;
		tnkLayout.adwall.footer.idContact = R.id.contact;
		//tnkLayout.adwall.showFooter = false;
		
		tnkLayout.adwall.item.layout = R.layout.offerwall_item;
		tnkLayout.adwall.item.colorBg = 0xf6f6f6;	// 아이템 배경색
		tnkLayout.adwall.item.paddingLeft = context.getResources().getDimensionPixelSize(R.dimen.offerwall_item_layout_parent_padding_h);
		tnkLayout.adwall.item.paddingRight = context.getResources().getDimensionPixelSize(R.dimen.offerwall_item_layout_parent_padding_h);
		//tnkLayout.adwall.item.paddingTop = 3;
		//tnkLayout.adwall.item.height = 200;
		tnkLayout.adwall.item.idIcon = R.id.offerwall_item_ad_icon;
		tnkLayout.adwall.item.idTitle = R.id.offerwall_item_ad_title;
		tnkLayout.adwall.item.idSubtitle = R.id.offerwall_item_ad_desc;
		tnkLayout.adwall.item.idTag = R.id.offerwall_item_ad_tag;
		tnkLayout.adwall.item.idTagPoint = R.id.offerwall_item_ad_point;
		tnkLayout.adwall.item.idTagLabel = R.id.offerwall_item_ad_point_label;
		 
		tnkLayout.adwall.item.tag.pointLabelFormat = "{point}";
		tnkLayout.adwall.item.tag.confirmLabelFormat = "설치확인";
		
		//tnkLayout.adwall.item.bgItemEven = R.drawable.list_item_bg;
		//tnkLayout.adwall.item.bgItemOdd = R.drawable.list_item_bg2;
		
		// tag 배경 이미지 설정
		tnkLayout.adwall.item.tag.bgTagFree = R.drawable.coin_gray;
		tnkLayout.adwall.item.tag.bgTagPaid = R.drawable.coin_gray;
		tnkLayout.adwall.item.tag.bgTagWeb = R.drawable.coin_gray;
		tnkLayout.adwall.item.tag.bgTagCheck = R.drawable.coin_gray;
		 
		/*tnkLayout.adwall.item.tag.tcTagFree = 0xffffffff;
		tnkLayout.adwall.item.tag.tcTagPaid = 0xffffffff;
		tnkLayout.adwall.item.tag.tcTagWeb = 0xffffffff;
		tnkLayout.adwall.item.tag.tcTagCheck = 0xffffffff;*/
		 
		/*tnkLayout.adwall.detail.layout = R.layout.myofferwall_detail;
		tnkLayout.adwall.detail.idIcon = R.id.ad_icon;
		tnkLayout.adwall.detail.idTitle = R.id.ad_title;
		tnkLayout.adwall.detail.idSubtitle = R.id.ad_desc;
		tnkLayout.adwall.detail.idTag = R.id.ad_tag;
		tnkLayout.adwall.detail.idAction = R.id.ad_action;
		tnkLayout.adwall.detail.idConfirm = R.id.ad_ok;
		tnkLayout.adwall.detail.idCancel = R.id.ad_cancel;*/
		
		Log.d("tnkad", "####### Dimen check " + context.getResources().getDimension(R.dimen.offerwall_dimens_check));
		return tnkLayout;
	}
	
	// 광고 상세 화면 디자인 설정
	private static void setTnkStyle() {
		
		//TnkStyle.clear();	// clear previous style
		
		TnkStyle.AdWall.Detail.Body.Tag.Free.textColor = 0xff787878;
		TnkStyle.AdWall.Detail.Body.Tag.Paid.textColor = 0xff787878;
		TnkStyle.AdWall.Detail.Body.Tag.Web.textColor = 0xff787878;
		TnkStyle.AdWall.Detail.Body.Tag.Confirm.textColor = 0xff787878;
		TnkStyle.AdWall.Detail.Body.Tag.Free.background = R.drawable.coin_gray;
		TnkStyle.AdWall.Detail.Body.Tag.Paid.background = R.drawable.coin_gray;
		TnkStyle.AdWall.Detail.Body.Tag.Web.background = R.drawable.coin_gray;
		TnkStyle.AdWall.Detail.Body.Tag.Confirm.background = R.drawable.coin_gray;
		
		TnkStyle.AdWall.Detail.Footer.ConfirmButton.textColor = 0xffffffff;
		TnkStyle.AdWall.Detail.Footer.CancelButton.textColor = 0xffffffff;
		TnkStyle.AdWall.Detail.Footer.ConfirmButton.background = R.drawable.btn_down_detail;
		TnkStyle.AdWall.Detail.Footer.CancelButton.background = R.drawable.btn_close_detail;
	}
	
	
}
