package com.tnkfactory.adplus;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.ImageView;

/**
 * 배너 이미지 비율을 맞추기 위한 ImageView
 * 너비는 고정이고 높이를 조정한다.
 * @author kimhd
 *
 */
public class HeightAdjustImageView extends ImageView {

	private double ratio = 0.56d; // w: 320, h:180
	
	public HeightAdjustImageView(Context context, AttributeSet attrs) {
		super(context, attrs);
	}

	public HeightAdjustImageView(Context context) {
		super(context);
	}
	
	@Override
	protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
		super.onMeasure(widthMeasureSpec, heightMeasureSpec);
		
		// 배너 이미지 비율에 맞추도록 높이 조정
		int width = getMeasuredWidth();
		setMeasuredDimension(width, (int)(width*ratio)); // Snap to width
	}
}
