package com.tnkfactory.adplus;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.ImageView;

/**
 * 배너 이미지 비율을 맞추기 위한 ImageView
 * 높이는 고정이고 너비를 조정한다.
 * @author kimhd
 *
 */
public class WidthAdjustImageView extends ImageView {

	private double ratio = 0.56d; // w: 320, h:180
	
	public WidthAdjustImageView(Context context, AttributeSet attrs) {
		super(context, attrs);
	}

	public WidthAdjustImageView(Context context) {
		super(context);
	}
	
	@Override
	protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec) {
		super.onMeasure(widthMeasureSpec, heightMeasureSpec);
		
		// 배너 이미지 비율에 맞추도록 너비 조정
		int height = getMeasuredHeight();
		setMeasuredDimension((int)(height/ratio), height); // Snap to width
	}
}
